Package org.eclipse.net4j.db.ddl.delta

# Interface IDBIndexDelta

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBDeltaWithProperties`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`

public interface IDBIndexDelta extends IDBDeltaWithProperties

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OPTIONAL_PROPERTY`
`static final String`
`TYPE_PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`IDBIndexFieldDelta`
`getIndexFieldDelta(int position)`
`IDBIndexFieldDelta`
`getIndexFieldDelta(String name)`
`int`
`getIndexFieldDeltaCount()`
`Map<String,IDBIndexFieldDelta>`
`getIndexFieldDeltas()`
`IDBIndexFieldDelta[]`
`getIndexFieldDeltasSortedByPosition()`
`IDBTableDelta`
`getParent()`
`IDBIndex`
`getSchemaElement(IDBSchema schema)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getSchemaDelta`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithProperties

`getPropertyDelta, getPropertyDeltas, getPropertyDeltasSortedByName, getPropertyValue, getPropertyValue`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### TYPE_PROPERTY

static final String TYPE_PROPERTY

See Also:
  - Constant Field Values

### OPTIONAL_PROPERTY

static final String OPTIONAL_PROPERTY

Since:
  4.5
See Also:
  - Constant Field Values

## Method Details

### getParent

IDBTableDelta getParent()

Specified by:
  `getParent` in interface `IDBDelta`
Specified by:
  `getParent` in interface `IDBElement`

### getIndexFieldDeltaCount

int getIndexFieldDeltaCount()

### getIndexFieldDelta

IDBIndexFieldDelta getIndexFieldDelta(int position)

### getIndexFieldDelta

IDBIndexFieldDelta getIndexFieldDelta(String name)

### getIndexFieldDeltas

Map<String,IDBIndexFieldDelta> getIndexFieldDeltas()

### getIndexFieldDeltasSortedByPosition

IDBIndexFieldDelta[] getIndexFieldDeltasSortedByPosition()

### getSchemaElement

IDBIndex getSchemaElement(IDBSchema schema)

Specified by:
  `getSchemaElement` in interface `IDBDelta`